# Signals (Cryptohopper API)

The signals a hopper follows: subscribe, unsubscribe and configure signals.

- [Get signals in hopper](https://www.cryptohopper.com/api-documentation/api-reference/signals/get-signals-in-hopper.md): `GET /hopper/{id}/signal`
- [Get last signal](https://www.cryptohopper.com/api-documentation/api-reference/signals/get-last-signal.md): `GET /hopper/{id}/signal/last`
- [Get signal by id](https://www.cryptohopper.com/api-documentation/api-reference/signals/get-signal-by-id.md): `GET /hopper/{id}/signal/{signal_id}`
- [Subscribe to signal](https://www.cryptohopper.com/api-documentation/api-reference/signals/subscribe-to-signal.md): `POST /hopper/{id}/signal/{signal_id}`
- [Update config of signal](https://www.cryptohopper.com/api-documentation/api-reference/signals/update-config-of-signal.md): `PATCH /hopper/{id}/signal/{signal_id}`
- [Unsubscribe from signal](https://www.cryptohopper.com/api-documentation/api-reference/signals/unsubscribe-from-signal.md): `DELETE /hopper/{id}/signal/{signal_id}`

